Method: permissions.list

Lists all supported permissions in VPC Service Controls ingress and egress rules for Granular Controls.

HTTP request

GET https://accesscontextmanager.googleapis.com/v1/permissions

The URL uses gRPC Transcoding syntax.

Query parameters

Parameters
pageSize

integer

Optional. This flag specifies the maximum number of services to return per page. Default value is 100.

pageToken

string

Optional. Use this token to retrieve a specific page of results. Default is the first page.

Request body

The request body must be empty.

Response body

A response to ListSupportedPermissionsRequest.

If successful, the response body contains data with the following structure:

JSON representation
{
  "supportedPermissions": [
    string
  ],
  "nextPageToken": string
}
Fields
supportedPermissions[]

string

List of VPC Service Controls supported permissions.

nextPageToken

string

Use this pagination token to retrieve the next page of results. An empty value indicates that no further results are available.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.